Obtain delivery date

Prev Next
Get
/delivery_dates

It returns a delivery date of a payment asking for a legal entity, target currency, and country (and correspondent if exists).

To calculate the date, it takes into account all the working and festivity days, the number of processing days, and also if the payment is on time and it has to add one more day due to the cutoff.

In case scheme is present in the request, it gets the information from the scheme and returns a delivery date using the value date, operating days and the correspondent holidays for the country currency (for example, US from USD) or EUR holidays in case of EUR currency.

Security
OAuth

OAuth Grant type, JWT Profile

FlowClient Credentials
Token URL$(host)/oauth/token
Scopes:
delivery_dates.readAccessing a delivery date by filters
Header parameters
x-client-id
string (uuid) Required

Identifies the client of the api

Min length36
Max length36
Pattern^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
Examplea1b30a84-7bf3-442e-84a0-e935d8163b5a
Query parameters
correspondent_bic
string

Correspondent BIC

Max length11
Pattern^[A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?$
ExampleARABMAMCXXX
currency
stringRequired

Payment ISO Currency Code.

Max length3
Pattern^[A-Z]{3}$
ExampleEUR
country
stringRequired

ISO country code

Max length2
Pattern^[A-Z]{2}$
ExampleES
working_date
string

Date to be verified as a valid working day for the delivery date

Min length0
Max length10
Pattern^[0-9]{4}-[0-9]{2}-[0-9]{2}$
Example2021-12-22
earlier_date
boolean

Flag to indicate if an earlier date from the working value date should be returned

ExampleFalse
holidays_source_data
string

Flag to set the source data to get the holiday information. If it is not present, "bank_holidays" will be used as the default source.

Valid values[ "bank_holidays", "holiday_services" ]
Exampleholiday_services
scheme
string

Scheme name to use in the delivery date calculation. A list of possible values can be found in the Reach Plus files from SWIFT (https://www2.swift.com/knowledgecentre/products/SwiftRef%20Reach%20Plus)

Max length255
Pattern^[A-Z0-9a-z_/\s]*$
ExampleEMU TGT2
Responses
200

The requested data is valid and it returns the delivery date.

Valid Delivery Date

It returns a delivery date

{
  "data": {
    "deliveryDate": "2022-03-09"
  }
}
Expand All
object

Delivery date calculated and returned

data
object

Data response

deliveryDate
string

Date

Min length0
Max length10
Pattern^[0-9]{4}-[0-9]{2}-[0-9]{2}$
Example2021-12-22
204

No Content

400

Bad Request

Internal Server Error
{
  "errors": [
    {
      "code": "400",
      "message": "BAD_REQUEST",
      "level": "FATAL",
      "description": "Bad request"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
401

User not authorized

User Unauthorized
{
  "errors": [
    {
      "code": "401",
      "message": "UNAUTHORIZED",
      "level": "FATAL",
      "description": "User unauthorized"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
403

Access forbidden

Forbidden
{
  "errors": [
    {
      "code": "403",
      "message": "FORBIDDEN",
      "level": "ERROR",
      "description": "Access forbidden"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
404

Not Found

NotFound

Not found

{
  "errors": [
    {
      "code": "404",
      "message": "NOT_FOUND",
      "level": "ERROR",
      "description": "Not found"
    }
  ]
}
Correspondent Delivery Date Not Found

The Correspondent was not found

{
  "errors": [
    {
      "code": "404",
      "message": "NOT_FOUND",
      "level": "ERROR",
      "description": "Correspondent could not be found"
    }
  ]
}
Correspondent Not Found
{
  "errors": [
    {
      "code": "404",
      "message": "NOT_FOUND",
      "level": "ERROR",
      "description": "No Route was found"
    }
  ]
}
Account Not Found

The Requested account data is not found

{
  "errors": [
    {
      "code": "404",
      "message": "NOT_FOUND",
      "level": "ERROR",
      "description": "The requested Account Number is not a valid _accountFormat_ account"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
406

The Accept header does not specifically contains one of the allowable types, usually 'application/json'

Not Acceptable
{
  "errors": [
    {
      "code": "406",
      "message": "NOT_ACCEPTABLE",
      "level": "ERROR",
      "description": "Accept header is not application/json"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
413

Most web servers have a limit of 8192 bytes (8 KB). The server will close the connection to prevent the client from continuing the request.

Request Entity Too Large
{
  "errors": [
    {
      "code": "413",
      "message": "REQUEST_ENTITY_TOO_LARGE",
      "level": "ERROR",
      "description": "Request entity larger than 8192 bytes - 8KB"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
414

URI request is longer than 2,000 characters

URI Too Long
{
  "errors": [
    {
      "code": "414",
      "message": "URI_TOO_LONG",
      "level": "ERROR",
      "description": "URI request is longer than 2000 characters"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
422

Unprocessable Entity

Unprocessable entity
{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "Unprocessable entity"
    }
  ]
}
Invalid property
{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "unexpected keys on object - wrong_key"
    }
  ]
}
Invalid Request Currency

The requested parameters contain an invalid Currency value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - currency - It must be present in routeParams or extraDetails pacs - IntrBkSttlmAmt.Ccy"
    }
  ]
}
Invalid Request Account Data

The requested parameters contain an invalid account format/number value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - accountFormat or accountNumber - They must be present in routeParams or extraDetails pacs - IntrmyAgt1.FinInstnId  CdtrAcct.Id.IBAN or CdtrAgt.FinInstnId"
    }
  ]
}
Invalid Request Charge Type

The requested parameters contain an invalid Charge Type value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - chargeType - No union satisfied. expected value to be literal OUR but got foobar expected value to be literal BEN but got foobar expected value to be literal SHA but got foobar"
    }
  ]
}
Invalid Request Origin Bank

The requested parameters contain an invalid Origin Bank value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - originBank - expected string to match pattern but did not"
    }
  ]
}
Invalid Request Origin Country

The requested parameters contain an invalid Origin Country value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - originCountry - expected string to match pattern but did not"
    }
  ]
}
Invalid Request Payment Amount

The requested parameters contain an invalid Payment Amount value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - paymentAmount - expected type to be number but got string"
    }
  ]
}
Invalid Request Value Percentage

The requested parameters contain an invalid Value Percentage value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - volumePercentage - expected number to be less than or equal to 100 but got 999999"
    }
  ]
}
Invalid Request Permanent Input

The requested parameters contain an invalid Permanent Input value
Permanent Inputs: sameCorrespondent, volumePercentage, searchIntermediary, commonCorrespondent.

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - sameCorrespondent - No union satisfied. expected string to be one of - true false. expected type to be boolean but got string"
    }
  ]
}
Invalid Request Clearing Scheme

The Request parameters contain an invalid Clearing Scheme value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - clearingScheme - expected string to match pattern but did not"
    }
  ]
}
Invalid Request Service Code

The Request parameters contain an invalid Service Code value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - serviceCode - expected string to match pattern but did not"
    }
  ]
}
Invalid SSI Correspondent Steps

The Request parameters contain an invalid SSI Correspondent Steps value

{
  "errors": [
    {
      "code": "422",
      "message": "UNPROCESSABLE_ENTITY",
      "level": "ERROR",
      "description": "error parsing object at path - ssiCorrespondentSteps - expected number to be less than or equal to 10 but got 11"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
429

The user has sent too many requests in a given amount of time

Too Many Requests
{
  "errors": [
    {
      "code": "429",
      "message": "TOO_MANY_REQUESTS",
      "level": "ERROR",
      "description": "Too many requests"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
500

Internal Server Error

Internal Server Error

Internal Server Error

{
  "errors": [
    {
      "code": "500",
      "message": "INTERNAL_SERVER_ERROR",
      "level": "ERROR",
      "description": "Unknown error caught in the error middleware"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
503

Service is unavailable

Service is unavailable
{
  "errors": [
    {
      "code": "503",
      "message": "SERVICE_UNAVAILABLE",
      "level": "ERROR",
      "description": "Service is unavailable"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
504

Gateway timeout

Gateway timeout
{
  "errors": [
    {
      "code": "504",
      "message": "GATEWAY_TIMEOUT",
      "level": "ERROR",
      "description": "Gateway timeout"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
default

Internal Server Error

Internal Server Error

Internal Server Error

{
  "errors": [
    {
      "code": "500",
      "message": "INTERNAL_SERVER_ERROR",
      "level": "ERROR",
      "description": "Unknown error caught in the error middleware"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of errors

Min items0
Max items50
object

Data structure containing the error details

code
string

Unique alphanumeric human readable error code

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription